Subject: Re: Question for perl gurus: what creates /bin/{HEAD|GET|POST}?
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: Max Bowsher <[email-masked]>, Igor Pechtchanski <[email-masked]>
Date: Sun, 29 Sep 2002 20:35:40 +0200

Hallo Max,

Am Freitag, 27. September 2002 um 19:39 schriebst du:

> Igor Pechtchanski wrote:
>> On Fri, 27 Sep 2002, Gerrit P. Haase wrote:
>> > The LWP module isn't part of the Cygwin perl distribution.  If you
>> > install LWP you are asked if you want to install these shortcuts
>> > This was included in the LWP setup because of the problems with Cygwin
>> > and other case insensitive platforms.

>> Hmm, I don't believe I was asked anything - everything was installed
>> automatically...  I can re-check this.

> I installed LWP via the CPAN shell yesterday - no questions were asked, the make
> install errored out, with head and HEAD being the problem. Another option would
> be to try and convince LWP to make them HEAD.pl, GET.pl, POST.pl instead.

cpan> force install LWP
Running install for module LWP
Running make for G/GA/GAAS/libwww-perl-5.65.tar.gz
CPAN: Digest::MD5 loaded ok
Checksum for /home/Gerrit/.cpan/sources/authors/id/G/GA/GAAS/libwww-perl-5.65.tar.gz ok
Scanning cache /home/Gerrit/.cpan/build for sizes
[...]
Removing previously used /home/Gerrit/.cpan/build/libwww-perl-5.65

  CPAN.pm: Going to build G/GA/GAAS/libwww-perl-5.65.tar.gz

This package comes with some sample programs that I can try
to install in /usr/bin.

   Note that you can avoid these questions by passing
   the '-n' option to 'Makefile.PL'.

Do you want to install lwp-request? [y] y
Do you want to install lwp-mirror? [y] y
Do you want to install lwp-rget? [y] y
Do you want to install lwp-download? [y] y

The lwp-request program will use the name it is invoked with to
determine what HTTP method to use.  I can set up alias for the most
common HTTP methods.  These alias are also installed in
/usr/bin.

Do you want to install the GET alias? [y] n
Do you want to install the HEAD alias? [y] n
Do you want to install the POST alias? [y] n

Checking for URI........... ok
Checking for HTML::Parser.. ok
Checking for MIME::Base64.. ok
Checking for Net::FTP...... ok
Checking for Digest::MD5 .. ok

Checking if your kit is complete...
Looks good
Writing Makefile for libwww-perl
[...]

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/